PerturbativeBarrierOptionEngine Class Reference
Pricing engines » Barrier option engines

perturbative barrier-option engine More...

`#include <ql/experimental/barrieroption/perturbativebarrieroptionengine.hpp>`

Inheritance diagram for PerturbativeBarrierOptionEngine:
[legend]

## Public Member Functions

| PerturbativeBarrierOptionEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &, Natural order=1, bool zeroGamma=false)
void | calculate () const
Public Member Functions inherited from GenericEngine< BarrierOption::arguments, BarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Member Functions inherited from BarrierOption::engine
bool | triggered (Real underlying) const
Protected Attributes inherited from GenericEngine< BarrierOption::arguments, BarrierOption::results >
BarrierOption::arguments | arguments_
BarrierOption::results | results_

## Detailed Description

perturbative barrier-option engine

This engine implements the approach described in http://www.econ.univpm.it/recchioni/finance/w3/.

Warning:
  This was reported to fail tests on Mac OS X 10.8.4.